﻿<template>
  <div class="task-model">
    <p class="task-name default-text-bold">{{ task.text }}</p>
    <p class="task-date default-hint">{{ task.date }}</p>
    <button class="task-done-button default-done-button" @click="doneTask">Done</button>
  </div>
</template>

<script>
export default {
  name: "task-form",
  props: {
    task: {}
  },
  methods: {
    doneTask() {
      this.$store.commit("tasks/doneTask", this.task);
    }
  }
};
</script>

<style lang="sass">
@import "../../scss/variables.sass"
@import "../../scss/media_mixin.sass"

.task-model
  display: inline-block
  box-shadow: $baseShadow
  border-radius: 9px
  width: 325px
  height: 150px

  @include media_960
    width: 180px
    display: block

  .task-name
    padding-top: 16px
    margin-bottom: 0
    padding-left: 10px

  .task-date
    padding-top: 6px
    padding-left: 10px
    margin-bottom: 0

  .task-done-button
    margin-top: 25px
    margin-left: 10px
    bottom: 10px
    height: 52px
    width: 305px
    text-align: center
    box-shadow: $baseShadow
    border-radius: 3px
    @include media_960
      width: 160px

  .task-done-button:click
    background: black
</style>
